Income

All API Operations related with Income

READ Scope

List all incomes

post

Retrieves all the incomes that match with provided filters

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
startDatestring · nullableOptional

Starting date to be applied to date filter. Should be formatted in YYYY-MM-DD format

endDatestring · nullableOptional

End date to be applied to date filter. Should be formatted in YYYY-MM-DD format

customerIdstring · uuid · nullableOptional

32-character unique ID to filter a specific business entity. If you don't know the ID, you can also provide customerCode instead of this field. If both of them are provided, customerId will be used only.

customerCodestring · nullableOptional

User-generated custom unique code to filter a specific business entity. If customerId is also provided, it will override this filter.

tagNamestring · nullableOptional

Name of the tag to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.

projectNamestring · nullableOptional

Name of the project to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.

projectCodestring · nullableOptional

User generated code of the project to be included in the filtering. Case sensitive. It should exactly match with the code in the Nuvio Platform.

paymentStatusstring · nullableOptional

Select one of the enum values to filter specific incomes that matches with required payment status.

Responses
chevron-right
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post
/v1/list-incomes
200

OK

Get an Income by ID

get

Retrieves an income by its unique UID or user-generated Invoice ID

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get
/v1/income/{id}
200

OK

WRITE Scope

Create a new Income

post

Creates a new income from scratch

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
invoiceNumberstringOptional

Invoice number formatted in string. Accepts alpha numeric characters and '-' symbol.

descriptionstring · min: 1Required

Description of the income. This will also be its title in the Nuvio Platform.

invoiceDatestring · min: 1Required

The date of the income. Should be formatted in YYYY-MM-DD format.

dueDatestring · min: 1Required

Due date of the payment for this income. Should be formatted in YYYY-MM-DD format.

currencystringOptional

3-letter currency code. You can find all the available currencies here.

projectIdstring · uuidOptional

32-character unique ID of the related project. If you don't know the ID, you can also provide projectCode instead of this field. If both of them are provided projectId will be used only.

projectCodestringOptional

User-generated custom code of the related project. If projectId is also provided, it will override this field.

customerIdstring · uuidOptional

32-character unique ID of the customer. If you don't know the ID, you can also provide customerCode instead of this field. If both of them are provided, customerId will be used only.

customerCodestringOptional

User-generated custom unique code of the specific customer. If customerId is also provided, it will override this field.

tagsstring · uuid[]Optional

List of the tags that are related to this income. Provide a list of tags with their 32-character unique ID.

exchangeRatenumber · doubleOptional

If currency is different than your company's functional currency, this will be the exchange rate that Nuvio will use while converting the amounts of this expense to company's functional currency. Should be number with 4 decimal points. eg. 32.4325

Responses
chevron-right
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post
/v1/income
200

OK

UPDATE Scope

Update income

put

Updates an existing income

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstring · uuidRequired
Body
invoiceNumberstringOptional

Invoice number formatted in string. Accepts alpha numeric characters and '-' symbol.

descriptionstringOptional

Description of the income. This will also be its title in the Nuvio Platform.

invoiceDatestringOptional

The date of the income. Should be formatted in YYYY-MM-DD format

dueDatestringOptional

Due date of the payment for this income. Should be formatted in YYYY-MM-DD format

currencystringOptional

3-letter currency code. You can find all the available currencies here.

projectIdstring · uuidOptional

32-character unique ID of the related project. If you don't know the ID, you can also provide projectCode instead of this field. If both of them are provided projectId will be used only.

projectCodestringOptional

User-generated custom code of the related project. If projectId is also provided, it will override this field.

customerIdstring · uuidOptional

32-character unique ID of the customer. If you don't know the ID, you can also provide customerCode instead of this field. If both of them are provided, customerId will be used only.

customerCodestringOptional

User-generated custom unique code of the specific customer. If customerId is also provided, it will override this field.

tagsstring · uuid[]Optional

List of the tags that are related to this income. Provide a list of tags with their 32-character unique ID.

exchangeRatenumber · double · nullableOptional

If currency is different than your company's functional currency, this will be the exchange rate that Nuvio will use while converting the amounts of this expense to company's functional currency. Should be number with 4 decimal points. eg. 32.4325

Responses
chevron-right
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
put
/v1/income/{id}
200

OK

Last updated